<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/iron-ajax/iron-ajax.html">

<!--
`l1page-api` automatically makes ajax requests with proper authentication and
allows for declarative binding of parameters.
Example html in your panel:
    <l1page-api data="{{my_variable}}" callback="cpp_callback" handle-as="text"></l1page-api>
    <span>{{my_variable}}</span>
Example html with parameters:
    <paper-input value="{{favDino}}" label="your favorite dinosaur"></paper-input>
    <l1page-api data="{{test2}}"
               callback="parametersexample"
               handle-as="text"
               parameters='["favoritedino"]'
               favoritedino="{{favDino}}"
               ></l1page-api>
               notice the single & double quotes in the parameters variable
               do yourself a favor and do not use capital letters in parameter names
    <span>{{test2}}</span>
-->
<dom-module id="l1page-api">
  <template>
    <iron-ajax id="ajax"
           method="[[method]]"
           on-response="_onResponse"
           on-error="_onError"
           content-type="application/json"
           loading="{{_loading}}"></iron-ajax>

    <slot></slot>

  </template>
</dom-module>
<script src="l1page-api.js?__inline=true"></script>
